function [c,range] = positiveRainbow( range )
    negpart = [ 1 1 1       % white
                0.9 0 1       % purple
                0.45 0 0.5 ];    % dark purple

    pospart = [ 1 1 1       % white
                0 0 1       % blue
                0 0.7 1     % bluish cyan
                0 1 1       % cyan
                0 1 0.7     % greenish cyan
                0 1 0       % green
                0.75 1 0    % chartreuse
                1 1 0       % yellow
                1 0.875 0   % yellow-orange
                1 0.5 0     % orange
                1 0 0       % red
                2/3 0 0 ];  % darker red

    range = extendToZero( range );
    c = [ posnegMap( range, true, negpart, pospart ) ]; % ; ...
          % pospart(size(pospart,1),:) ];
end
